Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.codehaus.groovy.grails.web.transform
[Java] Annotation Type LineNumber

    java.lang.Object
      org.codehaus.groovy.grails.web.transform.LineNumber

    @java.lang.annotation.Retention(RetentionPolicy.SOURCE)
    @java.lang.annotation.Target({ ElementType.TYPE })
    @org.codehaus.groovy.transform.GroovyASTTransformationClass({"org.codehaus.groovy.grails.web.transform.LineNumberTransform"})
    public @interface LineNumber

Authors:
  Andrew Eisenberg

Required Element Summary
`int[]` | `lines`
`java.lang.String` | `sourceName`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### lines

    public int[] lines

### sourceName

    public java.lang.String sourceName

Groovy Documentation